0.9.6: GLM_GTC_constants

| 0.9.6

- Main Page
- Modules
- Files

Functions
GLM_GTC_constants
GTC Extensions (Stable)

## Functions
template<typename genType >
GLM_FUNC_DECL genType | e ()
template<typename genType >
GLM_FUNC_DECL genType | epsilon ()
template<typename genType >
GLM_FUNC_DECL genType | euler ()
template<typename genType >
GLM_FUNC_DECL genType | four_over_pi ()
template<typename genType >
GLM_FUNC_DECL genType | golden_ratio ()
template<typename genType >
GLM_FUNC_DECL genType | half_pi ()
template<typename genType >
GLM_FUNC_DECL genType | ln_ln_two ()
template<typename genType >
GLM_FUNC_DECL genType | ln_ten ()
template<typename genType >
GLM_FUNC_DECL genType | ln_two ()
template<typename genType >
GLM_FUNC_DECL genType | one ()
template<typename genType >
GLM_FUNC_DECL genType | one_over_pi ()
template<typename genType >
GLM_FUNC_DECL genType | one_over_root_two ()
template<typename genType >
GLM_FUNC_DECL genType | one_over_two_pi ()
template<typename genType >
GLM_FUNC_DECL genType | pi ()
template<typename genType >
GLM_FUNC_DECL genType | quarter_pi ()
template<typename genType >
GLM_FUNC_DECL genType | root_five ()
template<typename genType >
GLM_FUNC_DECL genType | root_half_pi ()
template<typename genType >
GLM_FUNC_DECL genType | root_ln_four ()
template<typename genType >
GLM_FUNC_DECL genType | root_pi ()
template<typename genType >
GLM_FUNC_DECL genType | root_three ()
template<typename genType >
GLM_FUNC_DECL genType | root_two ()
template<typename genType >
GLM_FUNC_DECL genType | root_two_pi ()
template<typename genType >
GLM_FUNC_DECL genType | third ()
template<typename genType >
GLM_FUNC_DECL genType | three_over_two_pi ()
template<typename genType >
GLM_FUNC_DECL genType | two_over_pi ()
template<typename genType >
GLM_FUNC_DECL genType | two_over_root_pi ()
template<typename genType >
GLM_FUNC_DECL genType | two_pi ()
template<typename genType >
GLM_FUNC_DECL genType | two_thirds ()
template<typename genType >
GLM_FUNC_DECL genType | zero ()

## Detailed Description

Provide a list of constants and precomputed useful values.

<glm/gtc/constants.hpp> need to be included to use these features.

## Function Documentation

GLM_FUNC_DECL genType glm::e | ( |  | ) |

Return e constant.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::epsilon | ( |  | ) |

Return the epsilon constant for floating point types.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::euler | ( |  | ) |

Return Euler's constant.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::four_over_pi | ( |  | ) |

Return 4 / pi.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::golden_ratio | ( |  | ) |

Return the golden ratio constant.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::half_pi | ( |  | ) |

Return pi / 2.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::ln_ln_two | ( |  | ) |

Return ln(ln(2)).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::ln_ten | ( |  | ) |

Return ln(10).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::ln_two | ( |  | ) |

Return ln(2).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::one | ( |  | ) |

Return 1.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::one_over_pi | ( |  | ) |

Return 1 / pi.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::one_over_root_two | ( |  | ) |

Return 1 / sqrt(2).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::one_over_two_pi | ( |  | ) |

Return 1 / (pi * 2).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::pi | ( |  | ) |

Return the pi constant.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::quarter_pi | ( |  | ) |

Return pi / 4.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_five | ( |  | ) |

Return sqrt(5).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_half_pi | ( |  | ) |

Return sqrt(pi / 2).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_ln_four | ( |  | ) |

Return sqrt(ln(4)).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_pi | ( |  | ) |

Return square root of pi.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_three | ( |  | ) |

Return sqrt(3).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_two | ( |  | ) |

Return sqrt(2).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::root_two_pi | ( |  | ) |

Return sqrt(2 * pi).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::third | ( |  | ) |

Return 1 / 3.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::three_over_two_pi | ( |  | ) |

Return pi / 2 * 3.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::two_over_pi | ( |  | ) |

Return 2 / pi.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::two_over_root_pi | ( |  | ) |

Return 2 / sqrt(pi).

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::two_pi | ( |  | ) |

Return pi * 2.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::two_thirds | ( |  | ) |

Return 2 / 3.

See also
  GLM_GTC_constants

GLM_FUNC_DECL genType glm::zero | ( |  | ) |

Return 0.

See also
  GLM_GTC_constants